#include "D:\Dokumenty\Skola\Vejska\statniceING\Diplomka\Matlab\implementace_do_uPc\transformace.h"
#include <math.h>

#define dva_tri 0.6667f
#define jedna_tri 0.3333f
#define odm_tri_dva 0.866f
#define odm_tri_tri 0.5774f

typedef float single;

void clarke(float Ia, float Ib, float Ic, float *Ialbe)
{
	Ialbe[0]=dva_tri*(Ia-0.5*Ib-0.5*Ic);
	Ialbe[1]=odm_tri_tri*(Ib-Ic);              //odm_tri_dva jsem vytkl pred zavorku
}

void invClarke(float Ual, float Ube, float *Uabc)
{
	Uabc[0]=Ual;
	Uabc[1]=-0.5*Ual + odm_tri_dva*Ube; 
    Uabc[2]=-0.5*Ual - odm_tri_dva*Ube;
}

void park(float Ial, float Ibe,float theta, float *Idq)
{
    float cos_t, sin_t;
    
    cos_t=cosf(2*theta);
    sin_t=sinf(2*theta);
    
	Idq[0]=cos_t*Ial + sin_t*Ibe;
	Idq[1]=-sin_t*Ial + cos_t*Ibe;
}

void invPark(float Ud, float Uq,float theta, float *Ualbe)
{
    float cos_t, sin_t;
    
    cos_t=cosf(2*theta);
    sin_t=sinf(2*theta);
    
	Ualbe[0]=cos_t*Ud - sin_t*Uq;
	Ualbe[1]=sin_t*Ud + cos_t*Uq;
}



